#ifndef MAFENETRE_H
#define MAFENETRE_H

#include <qglobal.h>
#if QT_VERSION >= 0x050100
#include <QtWidgets> /* Qt5 */
#else
#include <QtGui> /* Qt4 */
#endif
#include <QDebug>

class MaFenetre : public QWidget
{
    Q_OBJECT
public:
    explicit MaFenetre(QWidget *parent = 0);
    ~MaFenetre();

private:
    QStateMachine   *machine;
    QPushButton     *btInsererJeton;
    QPushButton     *btPousser;
    QLabel          *labelUtilisateur;
    QLabel          *labelPortillon;

signals:
    

public slots:
    void afficherInviteInsererJeton();
    void afficherInvitePassage();
};

#endif // MAFENETRE_H
